From blaz@gold.amis.net Sun Mar 21 11:33:08 1999
Return-Path: <blaz@gold.amis.net>
Received: from server.amis.net (server.amis.net [212.18.32.10])
	by hub.freebsd.org (Postfix) with ESMTP id E271814C3B
	for <FreeBSD-gnats-submit@freebsd.org>; Sun, 21 Mar 1999 11:33:01 -0800 (PST)
	(envelope-from blaz@gold.amis.net)
Received: (from uucp@localhost)
	by server.amis.net (8.8.8/8.8.8) with UUCP id UAA06938
	for FreeBSD-gnats-submit@freebsd.org; Sun, 21 Mar 1999 20:34:13 +0100 (CET)
Received: (from blaz@localhost)
	by gold.amis.net (8.9.3/8.9.1) id UAA12446;
	Sun, 21 Mar 1999 20:32:24 +0100 (CET)
Message-Id: <199903211932.UAA12446@gold.amis.net>
Date: Sun, 21 Mar 1999 20:32:24 +0100 (CET)
From: Blaz Zupan <blaz@gold.amis.net>
Reply-To: blaz@gold.amis.net
To: FreeBSD-gnats-submit@freebsd.org
Subject: postfix port
X-Send-Pr-Version: 3.2

>Number:         10710
>Category:       ports
>Synopsis:       postfix port
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    freebsd-ports
>State:          closed
>Quarter:        
>Keywords:       
>Date-Required:  
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Sun Mar 21 11:40:01 PST 1999
>Closed-Date:    Wed Mar 31 20:03:31 PST 1999
>Last-Modified:  Wed Mar 31 20:06:01 PST 1999
>Originator:     Blaz Zupan
>Release:        FreeBSD 4.0-CURRENT i386
>Organization:
>Environment:

	

>Description:

	Included is a port of postfix beta 1999-03-17pl01.
	It can be also downloaded from
	ftp://ftp.amis.net/pub/FreeBSD/local/postfix.tar

>How-To-Repeat:

	

>Fix:

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	postfix
#	postfix/Makefile
#	postfix/files
#	postfix/files/md5
#	postfix/files/postfix.sh
#	postfix/files/defaultmailer
#	postfix/pkg
#	postfix/pkg/COMMENT
#	postfix/pkg/DESCR
#	postfix/pkg/INSTALL
#	postfix/pkg/PLIST
#	postfix/pkg/MESSAGE
#	postfix/patches
#	postfix/patches/patch-aa
#	postfix/patches/patch-ab
#
echo c - postfix
mkdir -p postfix > /dev/null 2>&1
echo x - postfix/Makefile
sed 's/^X//' >postfix/Makefile << 'END-of-postfix/Makefile'
X# New ports collection makefile for:	postfix
X# Version required:	19990317-pl01
X# Date created:		14 Mar 1999
X# Whom:			Blaz Zupan <blaz@amis.net>
X#
X# $Id: $
X#
X
XDISTNAME=	postfix-19990317-pl01
XPKGNAME=	postfix-99.03.17
XCATEGORIES=	mail
XMASTER_SITES=	ftp://postfix.webweaver.net/ \
X		ftp://postfix.cloud9.net/ \
X		ftp://ftp.infonaut.net/pub/postfix/ \
X		ftp://ftp.cs.tu-berlin.de/pub/net/mail/postfix/
X
XMAINTAINER=	blaz@amis.net
X
XMAN1=	mailq.1 newaliases.1 postalias.1 postcat.1 postconf.1 postdrop.1 \
X	postfix.1 postkick.1 postlock.1 postlog.1 postmap.1 sendmail.1
XMAN5=	access.5 aliases.5 canonical.5 relocated.5 transport.5 virtual.5
XMAN8=	bounce.8 cleanup.8 defer.8 local.8 master.8 pickup.8 pipe.8 \
X	qmgr.8 showq.8 smtp.8 smtpd.8 trivial-rewrite.8
X
XMAILSPOOL=	/var/spool/postfix
X
XALL_TARGET=	CCARGS=-DDEF_CONFIG_DIR=\\\\\\\"${PREFIX}/etc/postfix\\\\\\\"
X
Xpost-configure:
X	@${SETENV} ${MAKE_ENV} perl -pi -e 's|%%PREFIX%%|${PREFIX}|' ${WRKSRC}/conf/main.cf
X
Xpre-install:
X	@${SH} ${PKGDIR}/INSTALL ${PKGNAME} PRE-INSTALL
X
Xdo-install:
X	${MKDIR} ${MAILSPOOL}/maildrop
X	@chmod 1730 ${MAILSPOOL}/maildrop
X	@chown postfix:postfix ${MAILSPOOL}/maildrop
X	${INSTALL_PROGRAM} ${WRKSRC}/bin/sendmail ${WRKSRC}/bin/post* \
X		${PREFIX}/sbin
X	@chgrp postfix ${PREFIX}/sbin/postdrop
X	@chmod 2755 ${PREFIX}/sbin/postdrop
X	${MKDIR} ${PREFIX}/libexec/postfix
X	${INSTALL_PROGRAM} ${WRKSRC}/bin/bounce ${WRKSRC}/bin/cleanup \
X		${WRKSRC}/bin/local ${WRKSRC}/bin/master \
X		${WRKSRC}/bin/pickup ${WRKSRC}/bin/pipe \
X		${WRKSRC}/bin/qmgr ${WRKSRC}/bin/showq \
X		${WRKSRC}/bin/smtp ${WRKSRC}/bin/smtpd \
X		${WRKSRC}/bin/trivial-rewrite ${PREFIX}/libexec/postfix
X	${INSTALL_MAN} ${WRKSRC}/man/man1/* ${PREFIX}/man/man1
X	${INSTALL_MAN} ${WRKSRC}/man/man5/* ${PREFIX}/man/man5
X	${INSTALL_MAN} ${WRKSRC}/man/man8/* ${PREFIX}/man/man8
X	${MKDIR} ${PREFIX}/etc/postfix
X	${INSTALL_DATA} ${WRKSRC}/conf/sample-* \
X		${WRKSRC}/conf/LICENSE ${PREFIX}/etc/postfix
X	${INSTALL_DATA} ${WRKSRC}/conf/main.cf \
X		${PREFIX}/etc/postfix/main.cf-SAMPLE
X	${INSTALL_DATA} ${WRKSRC}/conf/master.cf \
X		${PREFIX}/etc/postfix/master.cf-SAMPLE
X	${INSTALL_SCRIPT} ${WRKSRC}/conf/postfix-script-sgid \
X		${PREFIX}/etc/postfix/postfix-script
X	@${SED} -e "/%%PREFIX%%/s##${PREFIX}#g" ${FILESDIR}/postfix.sh \
X		>${PREFIX}/etc/rc.d/postfix.sh
X	@chmod 0755 ${PREFIX}/etc/rc.d/postfix.sh
X	@${SED} -e "/%%PREFIX%%/s##${PREFIX}#g" ${FILESDIR}/defaultmailer \
X		>${PREFIX}/etc/postfix/defaultmailer
X	@chmod 0755 ${PREFIX}/etc/postfix/defaultmailer
X
Xpost-install:
X	@${CAT} ${PKGDIR}/MESSAGE
X
X.include <bsd.port.mk>
END-of-postfix/Makefile
echo c - postfix/files
mkdir -p postfix/files > /dev/null 2>&1
echo x - postfix/files/md5
sed 's/^X//' >postfix/files/md5 << 'END-of-postfix/files/md5'
XMD5 (postfix-19990317-pl01.tar.gz) = 6d542a30b2ca59a89dba2a65ed0c734e
END-of-postfix/files/md5
echo x - postfix/files/postfix.sh
sed 's/^X//' >postfix/files/postfix.sh << 'END-of-postfix/files/postfix.sh'
X#!/bin/sh
Xcase "$1" in
X	stop)
X		%%PREFIX%%/sbin/postfix stop >/dev/null 2>&1
X		;;
X	*)
X		%%PREFIX%%/sbin/postfix start >/dev/null 2>&1 && echo -n ' postfix'
X		;;
Xesac
END-of-postfix/files/postfix.sh
echo x - postfix/files/defaultmailer
sed 's/^X//' >postfix/files/defaultmailer << 'END-of-postfix/files/defaultmailer'
X#!/bin/sh
Xcase "$1" in
X	postfix)
X		if [ -e /usr/sbin/sendmail.before-postfix ]; then
X			echo "Postfix is already default mailer."
X			exit
X		fi
X		killall sendmail >/dev/null 2>&1
X		chmod 0 /usr/sbin/sendmail
X		mv /usr/sbin/sendmail /usr/sbin/sendmail.before-postfix
X		mv /usr/bin/mailq /usr/bin/mailq.before-postfix
X		mv /usr/bin/newaliases /usr/bin/newaliases.before-postfix
X		ln -s %%PREFIX%%/sbin/sendmail /usr/sbin/sendmail
X		ln -s /usr/sbin/sendmail /usr/bin/newaliases
X		ln -s /usr/sbin/sendmail /usr/bin/mailq
X		echo "Postfix is now default mailer."
X		;;
X	sendmail)
X		if [ ! -e /usr/sbin/sendmail.before-postfix ]; then
X			echo "Postfix does not seem to be default mailer."
X			exit
X		fi
X		rm /usr/sbin/sendmail
X		rm /usr/bin/mailq
X		rm /usr/bin/newaliases
X		mv /usr/sbin/sendmail.before-postfix /usr/sbin/sendmail
X		mv /usr/bin/mailq.before-postfix /usr/bin/mailq
X		mv /usr/bin/newaliases.before-postfix /usr/bin/newaliases
X		chmod 4555 /usr/sbin/sendmail
X		echo "Sendmail is now default mailer."
X		;;
X	*)
X		echo "Unknown mailer specified."
X		;;
Xesac
END-of-postfix/files/defaultmailer
echo c - postfix/pkg
mkdir -p postfix/pkg > /dev/null 2>&1
echo x - postfix/pkg/COMMENT
sed 's/^X//' >postfix/pkg/COMMENT << 'END-of-postfix/pkg/COMMENT'
XSecure and fast sendmail replacement.
END-of-postfix/pkg/COMMENT
echo x - postfix/pkg/DESCR
sed 's/^X//' >postfix/pkg/DESCR << 'END-of-postfix/pkg/DESCR'
XPostfix aims to be an alternative to the widely-used sendmail
Xprogram.  Sendmail is responsible for 70% of all e-mail delivered
Xon the Internet.  With an estimated 100 million users, that's an
Xestimated 10 billion (10^10) messages daily. A stunning number.
X
XAlthough IBM supported the Postfix development, it abstains from
Xcontrol over its evolution. The goal is to have Postfix installed
Xon as many systems as possible. To this end, the software is given
Xaway with no strings attached to it, so that it can evolve with
Xinput from and under control by its users.
X
Xhttp://www.postfix.org/
END-of-postfix/pkg/DESCR
echo x - postfix/pkg/INSTALL
sed 's/^X//' >postfix/pkg/INSTALL << 'END-of-postfix/pkg/INSTALL'
X#!/bin/sh
X
X#set -vx
X
X#
X# create 'postfix' user and group before installing
X#
X
Xcreate() {
X	if [ ! -x /usr/sbin/pw ]; then
X		echo "*** Please add a user and a group named \`postfix' before installing this package."
X		exit 69
X	fi
X
X	if ! pw show group postfix -q >/dev/null; then
X		gid=88
X		while pw show group -g ${gid} -q >/dev/null; do
X			gid=`expr ${gid} + 1`
X		done
X		if ! pw add group postfix -g ${gid}; then
X			e=$?
X			echo "*** Failed to add group \`postfix'. Please add it manually."
X			exit ${e}
X		fi
X		echo "*** Added group \`postfix' (id ${gid})"
X	else
X		gid=`pw show group postfix 2>/dev/null | cut -d: -f3`
X	fi
X
X	if ! pw show user postfix -q >/dev/null; then
X		uid=88
X		while pw show user -u ${uid} -q >/dev/null; do
X			uid=`expr ${uid} + 1`
X		done
X		if ! pw add user postfix -u ${uid} -g 1 -d "/nonexistent" \
X				-c "Postfix Mail Server" -s "/nonexistent" -p "*" \
X				; then
X			e=$?
X			echo "*** Failed to add user \`postfix'. Please add it manually."
X			exit ${e}
X		fi
X		echo "*** Added user \`postfix' (id ${uid})"
X	fi
X}
X
Xcase $2 in
X	PRE-INSTALL)
X		create
X		;;
Xesac
END-of-postfix/pkg/INSTALL
echo x - postfix/pkg/PLIST
sed 's/^X//' >postfix/pkg/PLIST << 'END-of-postfix/pkg/PLIST'
Xsbin/sendmail
Xsbin/postalias
Xsbin/postcat
Xsbin/postconf
Xsbin/postdrop
Xsbin/postfix
Xsbin/postkick
Xsbin/postlock
Xsbin/postlog
Xsbin/postmap
Xsbin/postsuper
Xlibexec/postfix/bounce
Xlibexec/postfix/cleanup
Xlibexec/postfix/local
Xlibexec/postfix/master
Xlibexec/postfix/pickup
Xlibexec/postfix/pipe
Xlibexec/postfix/qmgr
Xlibexec/postfix/showq
Xlibexec/postfix/smtp
Xlibexec/postfix/smtpd
Xlibexec/postfix/trivial-rewrite
Xetc/postfix/LICENSE
Xetc/postfix/sample-aliases.cf
Xetc/postfix/sample-rewrite.cf
Xetc/postfix/sample-canonical.cf
Xetc/postfix/sample-smtp.cf
Xetc/postfix/sample-debug.cf
Xetc/postfix/sample-smtpd.cf
Xetc/postfix/sample-ldap.cf
Xetc/postfix/sample-transport.cf
Xetc/postfix/sample-local.cf
Xetc/postfix/sample-virtual.cf
Xetc/postfix/sample-misc.cf
Xetc/postfix/sample-rate.cf
Xetc/postfix/sample-relocated.cf
Xetc/postfix/sample-resource.cf
Xetc/postfix/sample-pcre.cf
Xetc/postfix/main.cf-SAMPLE
Xetc/postfix/master.cf-SAMPLE
Xetc/postfix/postfix-script
Xetc/postfix/defaultmailer
Xetc/rc.d/postfix.sh
X@dirrm libexec/postfix
X@unexec rmdir %D/etc/postfix 2>/dev/null || true
X@exec mkdir -p /var/spool/postfix/maildrop
X@exec chmod 1730 /var/spool/postfix/maildrop
X@exec chown postfix:postfix /var/spool/postfix/maildrop
END-of-postfix/pkg/PLIST
echo x - postfix/pkg/MESSAGE
sed 's/^X//' >postfix/pkg/MESSAGE << 'END-of-postfix/pkg/MESSAGE'
X*****************************************************************************
X	Before using this port, as root do:
X		cd ${PREFIX}/etc/postfix
X		cp main.cf-SAMPLE main.cf
X		cp master.cf-SAMPLE master.cf
X	and edit both configuration files to suit your needs.
X
X	To replace sendmail with Postfix, execute as root
X		${PREFIX}/etc/postfix/defaultmailer postfix
X	To reenable sendmail, execute as root
X		${PREFIX}/etc/postfix/defaultmailer sendmail
X*****************************************************************************
END-of-postfix/pkg/MESSAGE
echo c - postfix/patches
mkdir -p postfix/patches > /dev/null 2>&1
echo x - postfix/patches/patch-aa
sed 's/^X//' >postfix/patches/patch-aa << 'END-of-postfix/patches/patch-aa'
X*** makedefs.orig	Sun Jan 31 23:30:51 1999
X--- makedefs	Sun Mar 14 18:55:33 1999
X***************
X*** 63,68 ****
X--- 63,70 ----
X  		;;
X    FreeBSD.3*)	SYSTYPE=FREEBSD3
X  		;;
X+   FreeBSD.4*)   SYSTYPE=FREEBSD3
X+                 ;;
X    OpenBSD.2*)	SYSTYPE=OPENBSD2
X  		;;
X     NetBSD.1*)	SYSTYPE=NETBSD1
END-of-postfix/patches/patch-aa
echo x - postfix/patches/patch-ab
sed 's/^X//' >postfix/patches/patch-ab << 'END-of-postfix/patches/patch-ab'
X*** conf/main.cf.orig	Fri Jan 22 22:39:35 1999
X--- conf/main.cf	Sun Mar 14 22:43:28 1999
X***************
X*** 18,36 ****
X  # Postfix support programs and daemons. This setting can be overruled
X  # with the command_directory and daemon_directory parameters.
X  #
X! program_directory = /some/where/postfix/bin
X  
X  # The command_directory parameter specifies the location of all
X  # postXXX commands.  The default value is $program_directory.
X  #
X! #command_directory = /usr/sbin
X  
X  # The daemon_directory parameter specifies the location of all Postfix
X  # daemon programs (i.e. programs listed in the master.cf file). The
X  # default value is $program_directory. This directory must be owned
X  # by root.
X  #
X! #daemon_directory = /usr/libexec/postfix
X  
X  # QUEUE AND PROCESS OWNERSHIP
X  #
X--- 18,36 ----
X  # Postfix support programs and daemons. This setting can be overruled
X  # with the command_directory and daemon_directory parameters.
X  #
X! program_directory = %%PREFIX%%/sbin
X  
X  # The command_directory parameter specifies the location of all
X  # postXXX commands.  The default value is $program_directory.
X  #
X! #command_directory = %%PREFIX%%/sbin
X  
X  # The daemon_directory parameter specifies the location of all Postfix
X  # daemon programs (i.e. programs listed in the master.cf file). The
X  # default value is $program_directory. This directory must be owned
X  # by root.
X  #
X! daemon_directory = %%PREFIX%%/libexec/postfix
X  
X  # QUEUE AND PROCESS OWNERSHIP
X  #
X***************
X*** 40,46 ****
X  # OWNS NO OTHER FILES OR PROCESSES ON THE SYSTEM.  In particular,
X  # don't specify nobody or daemon. PLEASE USE A DEDICATED USER.
X  #
X! #mail_owner = postfix
X  
X  # The default_privs parameter specifies the default rights used by
X  # the local delivery agent for delivery to external file or command.
X--- 40,46 ----
X  # OWNS NO OTHER FILES OR PROCESSES ON THE SYSTEM.  In particular,
X  # don't specify nobody or daemon. PLEASE USE A DEDICATED USER.
X  #
X! mail_owner = postfix
X  
X  # The default_privs parameter specifies the default rights used by
X  # the local delivery agent for delivery to external file or command.
END-of-postfix/patches/patch-ab
exit


>Release-Note:
>Audit-Trail:
Responsible-Changed-From-To: gnats-admin->freebsd-ports 
Responsible-Changed-By: steve 
Responsible-Changed-When: Sun Mar 21 16:58:22 PST 1999 
Responsible-Changed-Why:  
Misfiled PR. 

From: Chris Piazza <cpiazza@home.net>
To: freebsd-gnats-submit@FreeBSD.org
Cc:  
Subject: Re: ports/10710: postfix port
Date: Wed, 31 Mar 1999 19:32:04 -0800 (PST)

 This PR should be closed, postfix-19990317-pl03 is in the ports tree already.
 
 ---
 Chris Piazza    Abbotsford, BC, Canada
            cpiazza@home.net
 finger norn@norn.ca.eu.org for PGP key
 
State-Changed-From-To: open->closed 
State-Changed-By: jkoshy 
State-Changed-When: Wed Mar 31 20:03:31 PST 1999 
State-Changed-Why:  
A port of Postfix was committed by torstenb on 29 Mar 1999.  Thanks for 
contributing though! 
>Unformatted:
